﻿//
// Copyright (c) 2015, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows;

using MindFusion.Scheduling.Reporting;


namespace MindFusion.Scheduling.Wpf.Samples.CS.Tutorial6
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
		}

		private void button2_Click(object sender, RoutedEventArgs e)
		{
			// Create the appointments
			Appointment app;

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "21965 Carbon Mesa Rd (1)";
			app.Priority = 0;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "777 Ocampo Dr (1)";
			app.Priority = -1;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "401 Almar Ave (1)";
			app.Priority = -2;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "16680 Charmel Ln (1)";
			app.Priority = -3;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "10785 Queensland St (1)";
			app.Priority = -4;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "1237 25th St (1)";
			app.Priority = -5;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "3569 Veteran Ave (1)";
			app.Priority = -6;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 28);
			app.EndTime = new DateTime(2006, 3, 29);
			app.HeaderText = "242 Aderno Way (1)";
			app.Priority = 0;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "8359 Hollywood Blvd (17)";
			app.Priority = 0;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "2788 Monte Mar Ter (14)";
			app.Priority = -1;
			calendar.Schedule.Items.Add(app);

			// Dummy item to expand the rows of certain resources
			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "";
			app.Priority = -100;
			calendar.Schedule.Items.Add(app);

			// Dummy item #2
			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "";
			app.Priority = -100;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 29);
			app.EndTime = new DateTime(2006, 3, 30);
			app.HeaderText = "11301 Wilshire Blvd. (43)";
			app.Priority = 0;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "6200 San Fernando Rd (?)";
			app.Priority = -1;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 29);
			app.EndTime = new DateTime(2006, 3, 30);
			app.HeaderText = "247 W San Bernardino Rd (17)";
			app.Priority = 0;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "1156 Napoli Dr (6)";
			app.Priority = 0;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "1801 San Vicente Blvd (16)";
			app.Priority = -1;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 29);
			app.EndTime = new DateTime(2006, 3, 30);
			app.HeaderText = "245 Maple Dr (7)";
			app.Priority = 0;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 30);
			app.EndTime = new DateTime(2006, 3, 31);
			app.HeaderText = "162 Acari Dr (16)";
			app.Priority = 0;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 27);
			app.EndTime = new DateTime(2006, 3, 28);
			app.HeaderText = "427 Mesa Lila Rd (21)";
			app.Priority = 0;
			calendar.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2006, 3, 30);
			app.EndTime = new DateTime(2006, 3, 31);
			app.HeaderText = "2201 Beverly Dr (41)";
			app.Priority = -1;
			calendar.Schedule.Items.Add(app);
		}

		private void button1_Click(object sender, RoutedEventArgs e)
		{
			Report report = new Report(calendar.Schedule);

			ReportColumn column = null;

			// Create the first column
			column = report.CreateColumn();
			column.Property = "HeaderText";
			column.Width = 100;

			// Create the second column
			column = report.CreateColumn();
			column.Property = "StartTime";
			column.Width = 50;
			
			// Create the third column
			column = report.CreateColumn();
			column.Property = "EndTime";
			column.Width = 50;
		
			report.Options.AbsoluteColumnWidth = false;
			report.PrintPreview(DateTime.MinValue, DateTime.MaxValue);
		}
	}
}
